---
apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: xai-corp-staging-tls
  namespace: default
spec:
  # Secret names are always required.
  secretName: xai-corp-staging-tls
  issuerRef:
    name: letsencrypt-staging
    kind: ClusterIssuer
  commonName: xai-corp.net
  dnsNames:
    - xai-corp.net
    - www.xai-corp.net

  acme:
    config:
      - http01:
          ingressClass: traefik
        domains:
          - xai-corp.net
          - www.xai-corp.net
